Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.workflow
Class TransitionImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.workflow.TransitionImpl

public class TransitionImpl
extends BelongingImpl
implements Transition

A named transition from one `theory.smart.axiom.State state` to another state. The name is generally considered to represent an event. This class is used by the Businsess Smart Workflow generator.

See Also:
  `Transition`, `TransitionHome`, Serialized Form

Field Summary
`State` | `endState` endState [Transition] <*>------> [`theory.smart.axiom.workflow.State`]
`java.lang.String` | `name` name [Transition] <*>------> [`String`]
`State` | `startState` startState [Transition] <*>------> [`theory.smart.axiom.workflow.State`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`TransitionImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`State` | `getEndState()` Get the value of endState
`java.lang.String` | `getName()` Get the value of name
`State` | `getStartState()` Get the value of startState
`void` | `setEndState(State endState)` Set the value of endState
`void` | `setName(java.lang.String name)` Set the value of name
`void` | `setStartState(State startState)` Set the value of startState
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startState

    public State startState

                        startState
       [Transition] <*>------> [theory.smart.axiom.workflow.State]

### endState

    public State endState

                        endState
       [Transition] <*>------> [theory.smart.axiom.workflow.State]

### name

    public java.lang.String name

                        name
       [Transition] <*>------> [String]

Constructor Detail

### TransitionImpl

    public TransitionImpl()

Method Detail

### getStartState

    public State getStartState()

  Get the value of startState
  Specified by:
    getStartState in interface Transition
  Returns:
    startState.

### setStartState

    public void setStartState(State startState)

  Set the value of startState
  Specified by:
    setStartState in interface Transition
  Parameters:
    `startState` - startState to be added

### getEndState

    public State getEndState()

  Get the value of endState
  Specified by:
    getEndState in interface Transition
  Returns:
    endState.

### setEndState

    public void setEndState(State endState)

  Set the value of endState
  Specified by:
    setEndState in interface Transition
  Parameters:
    `endState` - endState to be added

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface Transition
  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface Transition
  Parameters:
    `name` - name to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.